// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ids: '',
    src: '/image/adimges.jpg',
    src1: '/image/head1.png',
    frameStyle: { useTop: false, name: '团队详情', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    list: [
      {
        id: '1', time: '08:30', date: '2022.01.15', Founder: 'XXX', group: '哈拉海队', person: '10'
      }
    ],
    listend: [
      {
        id: '1', name: '经开区足球比赛', state: '已结束', mark: '团队获得第4名', num: '20'
      },
      {
        id: '1', name: '经开区足球比赛', state: '已结束', mark: '团队获得第4名', num: '20'
      },
      {
        id: '1', name: '经开区足球比赛', state: '已结束', mark: '团队获得第4名', num: '20'
      }
    ],
    lists: [
      {
        id: '1', name: '老头1', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头2', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头3', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头4', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头5', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头6', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头7', head: '/image/tou.png'
      },

      {
        id: '1', name: '老头8', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头9', head: '/image/tou.png'
      },
    ],
  },
  // 监听用户是否登录
  watchLogin: function () {
    var that = this;
    let id = that.ids
    wx.getStorage({
      key: 'token',
      success: res => {
        //查询数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team/` + id, //接口地址
          method: 'get',
          data: '',
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              console.log('团队详情', datas);
              that.setData({
                list: datas,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
        //参赛历史
        var that = this;
        var list = that.data.list;
        var match_id = that.ids;
        var match_name = list.name;
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam`, //接口地址
          method: 'get',
          data: {
            "match_id": match_id,
            "match_name": match_name,
          },
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              console.log('参赛历史', datas);
              that.setData({
                listend: datas,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
    this.ids = options.id;
    // 监听用户是否登录
    this.watchLogin();
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})